Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | Related Functions | List of all members
ranges::views::cycle_fn Struct Reference

Returns an infinite range that endlessly repeats the source range. More...

`#include <range/v3/view/cycle.hpp>`

Inheritance diagram for ranges::views::cycle_fn:

## Public Member Functions
template<typename Rng > requires viewable_range<Rng> && forward_range<Rng>
cycled_view< all_t< Rng > > | operator() (Rng &&rng) const

## Related Functions
(Note that these are not member functions.)
constexpr view_closure< cycle_fn > | cycle {}

## Detailed Description

Returns an infinite range that endlessly repeats the source range.

## Member Function Documentation

## ◆ operator()()

template<typename Rng >
requires viewable_range<Rng> && forward_range<Rng>

cycled_view< all_t< Rng > > ranges::views::cycle_fn::operator() | ( | Rng && | rng | ) | const

Precondition
  `!empty(rng)`